=== debian/changelog ===
ros-melodic-geometric-shapes (0.6.3-1stretch) stretch; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)
    This allows more efficient body construction when scale, padding or pose should also be set during the construction.
  * Contributors: Martin Pecka, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.2-1stretch) stretch; urgency=high

  * [maint]   clang-tidy fixes in headers (#139 <https://github.com/ros-planning/geometric_shapes/issues/139>)
  * [fix]     Various fixes + performance improvements (#109 <https://github.com/ros-planning/geometric_shapes/issues/109>, #126 <https://github.com/ros-planning/geometric_shapes/issues/126>, #107 <https://github.com/ros-planning/geometric_shapes/issues/107>, #108 <https://github.com/ros-planning/geometric_shapes/issues/108>)
    * Use Eigen::Isometry3d::linear() instead of rotation()
    * Normalize the direction vector passed to Body::intersectsRay() (#115 <https://github.com/ros-planning/geometric_shapes/issues/115>)
    * Improved test coverage
  * [feature] Added support for non-uniform scaling and padding of shapes. (#103 <https://github.com/ros-planning/geometric_shapes/issues/103>)
  * [maint]   Made bodies::samplePointInside() const. (#133 <https://github.com/ros-planning/geometric_shapes/issues/133>)
  * [fix]     Throw runtime exception when a shape or body should have a negative dimension. (#106 <https://github.com/ros-planning/geometric_shapes/issues/106>)
  * [maint]   Prefer std::make_shared (#116 <https://github.com/ros-planning/geometric_shapes/issues/116>)
  * [maint]   clang-tidy fixes (#114 <https://github.com/ros-planning/geometric_shapes/issues/114>)
  * [fix]     Use covariant returns for clone() (#102 <https://github.com/ros-planning/geometric_shapes/issues/102>)
  * [feature] Added bodies::Body::computeBoundingBox (aligned box version). (#104 <https://github.com/ros-planning/geometric_shapes/issues/104>)
  * [maint]   Windows compatibility: fix ASSIMP libraries path (#101 <https://github.com/ros-planning/geometric_shapes/issues/101>)
  * [fix]     Body::containsPoint(): always include surface points (#97 <https://github.com/ros-planning/geometric_shapes/issues/97>)
  * Contributors: Martin Pecka, Alejandro Hernández Cordero, Bryce Willey, Michael Görner, Mike Lautman, Robert Haschke, RoboticsYY, Sean Yen, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Fri, 01 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.1-1stretch) stretch; urgency=high

  * Limit minimum number of cylinder vertices (on circumference) to 6 (#92 <https://github.com/ros-planning/geometric_shapes/issues/92>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#88 <https://github.com/ros-planning/geometric_shapes/issues/88>)
  * Contributors: Robert Haschke, eisoku9618

 -- Dave Coleman <dave@dav.ee>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-geometric-shapes (0.6.0-1stretch) stretch; urgency=high

  * Add method getPlanes and use double precision for planes (#82 <https://github.com/ros-planning/geometric_shapes/issues/82>)
  * Contributors: Bence Magyar

 -- Dave Coleman <dave@dav.ee>  Sun, 13 May 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.4-1stretch) stretch; urgency=high

  * gracefully handle negative cylinder height: #64 <https://github.com/ros-planning/geometric_shapes/issues/64>, #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * clang-formatting of whole repo: #79 <https://github.com/ros-planning/geometric_shapes/issues/79>
  * operator<< for ShapeType: #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * adaption to new CONSOLE_BRIDGE_logXXX API: #75 <https://github.com/ros-planning/geometric_shapes/issues/75>, #72 <https://github.com/ros-planning/geometric_shapes/issues/72>
  * [fix] box-ray intersection: #73 <https://github.com/ros-planning/geometric_shapes/issues/73>
  * Contributors: Dave Coleman, Leroy Rügemer, Malcolm Mielle, Mike Purvis, Robert Haschke, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Thu, 05 Apr 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.3-1stretch) stretch; urgency=high

  * [enhance] Add warning about common Assimp bug (#63 <https://github.com/ros-planning/geometric_shapes/issues/63>)
  * [maintenance] Update maintainers (#66 <https://github.com/ros-planning/geometric_shapes/issues/66>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Sat, 25 Nov 2017 23:00:00 -0000

ros-melodic-geometric-shapes (0.5.2-1stretch) stretch; urgency=high

  * [fix] mesh with too many vertices (#39 <https://github.com/ros-planning/geometric_shapes/issues/39>) (#60 <https://github.com/ros-planning/geometric_shapes/issues/60>)
  * [fix] gcc6 build error (#56 <https://github.com/ros-planning/geometric_shapes/issues/56>)
  * [fix] Clear root transformation on imported Collada meshes. #52 <https://github.com/ros-planning/geometric_shapes/issues/52>
  * [improve] relax mesh containment test (#58 <https://github.com/ros-planning/geometric_shapes/issues/58>)
  * [maintenance] Switch boost::shared_ptr to std::shared_ptr. #57 <https://github.com/ros-planning/geometric_shapes/pull/57>
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Lukas Bulwahn, Maarten de Vries, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Wed, 19 Oct 2016 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.1-1stretch) stretch; urgency=high

  * add c++11 safe-guards to the respective headers (#51 <https://github.com/ros-planning/geometric_shapes/issues/51>)
    This is, to be polite and point problems that might arise it out to users.

