=== debian/changelog ===
ros-melodic-geometric-shapes (0.6.6-1bionic) bionic; urgency=high

  * Limit indefinite growth of OBBs during merging (#233 <https://github.com/ros-planning/geometric_shapes/issues/233>)
  * Correctly initialize OBB with default constructor
  * Contributors: Martin Pecka

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 11 Apr 2023 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.5-1bionic) bionic; urgency=high

  * Add bodies::Body::computeBoundingBox (oriented box version) (#210 <https://github.com/ros-planning/geometric_shapes/issues/210>)This adds the dependency on FCL, provide support for FCL 0.6 if available
  * Add body operations constructShapeFromBody() and constructMarkerFromBody() (#209 <https://github.com/ros-planning/geometric_shapes/issues/209>)
  * Eigen < 3.3.0 needs explicit cast (#224 <https://github.com/ros-planning/geometric_shapes/issues/224>)
  * Contributors: Kei Okada, Martin Pecka, Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 30 Mar 2023 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.4-1bionic) bionic; urgency=high

  * [fix]   Fix memory leak (#168 <https://github.com/ros-planning/geometric_shapes/issues/168>)
  * [fix]   Use proper Eigen alignment for make_shared calls (#187 <https://github.com/ros-planning/geometric_shapes/issues/187>)
  * [maint] Migrate from Travis to GitHub actions (#172 <https://github.com/ros-planning/geometric_shapes/issues/172>)
  * Contributors: Dave Coleman, Martin Pecka, Robert Haschke, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 18 May 2021 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.3-1bionic) bionic; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)
    This allows more efficient body construction when scale, padding or pose should also be set during the construction.
  * Contributors: Martin Pecka, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.2-1bionic) bionic; urgency=high

  * [maint]   clang-tidy fixes in headers (#139 <https://github.com/ros-planning/geometric_shapes/issues/139>)
  * [fix]     Various fixes + performance improvements (#109 <https://github.com/ros-planning/geometric_shapes/issues/109>, #126 <https://github.com/ros-planning/geometric_shapes/issues/126>, #107 <https://github.com/ros-planning/geometric_shapes/issues/107>, #108 <https://github.com/ros-planning/geometric_shapes/issues/108>)
    * Use Eigen::Isometry3d::linear() instead of rotation()
    * Normalize the direction vector passed to Body::intersectsRay() (#115 <https://github.com/ros-planning/geometric_shapes/issues/115>)
    * Improved test coverage
  * [feature] Added support for non-uniform scaling and padding of shapes. (#103 <https://github.com/ros-planning/geometric_shapes/issues/103>)
  * [maint]   Made bodies::samplePointInside() const. (#133 <https://github.com/ros-planning/geometric_shapes/issues/133>)
  * [fix]     Throw runtime exception when a shape or body should have a negative dimension. (#106 <https://github.com/ros-planning/geometric_shapes/issues/106>)
  * [maint]   Prefer std::make_shared (#116 <https://github.com/ros-planning/geometric_shapes/issues/116>)
  * [maint]   clang-tidy fixes (#114 <https://github.com/ros-planning/geometric_shapes/issues/114>)
  * [fix]     Use covariant returns for clone() (#102 <https://github.com/ros-planning/geometric_shapes/issues/102>)
  * [feature] Added bodies::Body::computeBoundingBox (aligned box version). (#104 <https://github.com/ros-planning/geometric_shapes/issues/104>)
  * [maint]   Windows compatibility: fix ASSIMP libraries path (#101 <https://github.com/ros-planning/geometric_shapes/issues/101>)
  * [fix]     Body::containsPoint(): always include surface points (#97 <https://github.com/ros-planning/geometric_shapes/issues/97>)
  * Contributors: Martin Pecka, Alejandro Hernández Cordero, Bryce Willey, Michael Görner, Mike Lautman, Robert Haschke, RoboticsYY, Sean Yen, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Fri, 01 May 2020 22:00:00 -0000

ros-melodic-geometric-shapes (0.6.1-1bionic) bionic; urgency=high

  * Limit minimum number of cylinder vertices (on circumference) to 6 (#92 <https://github.com/ros-planning/geometric_shapes/issues/92>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#88 <https://github.com/ros-planning/geometric_shapes/issues/88>)
  * Contributors: Robert Haschke, eisoku9618

 -- Dave Coleman <dave@dav.ee>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-geometric-shapes (0.6.0-1bionic) bionic; urgency=high

  * Add method getPlanes and use double precision for planes (#82 <https://github.com/ros-planning/geometric_shapes/issues/82>)
  * Contributors: Bence Magyar

 -- Dave Coleman <dave@dav.ee>  Sun, 13 May 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.4-1bionic) bionic; urgency=high

  * gracefully handle negative cylinder height: #64 <https://github.com/ros-planning/geometric_shapes/issues/64>, #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * clang-formatting of whole repo: #79 <https://github.com/ros-planning/geometric_shapes/issues/79>
  * operator<< for ShapeType: #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * adaption to new CONSOLE_BRIDGE_logXXX API: #75 <https://github.com/ros-planning/geometric_shapes/issues/75>, #72 <https://github.com/ros-planning/geometric_shapes/issues/72>
  * [fix] box-ray intersection: #73 <https://github.com/ros-planning/geometric_shapes/issues/73>
  * Contributors: Dave Coleman, Leroy Rügemer, Malcolm Mielle, Mike Purvis, Robert Haschke, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Thu, 05 Apr 2018 22:00:00 -0000

ros-melodic-geometric-shapes (0.5.3-1bionic) bionic; urgency=high


