=== debian/control ===
Source: ros-melodic-geometric-shapes
Section: misc
Priority: optional
Maintainer: Tyler Weaver <tyler@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, libqhull-dev, pkg-config, ros-melodic-catkin (>= 0.5.68), ros-melodic-eigen-stl-containers, ros-melodic-octomap, ros-melodic-random-numbers, ros-melodic-resource-retriever, ros-melodic-rosunit <!nocheck>, ros-melodic-shape-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/geometric_shapes
Standards-Version: 3.9.2

Package: ros-melodic-geometric-shapes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, libqhull-dev, ros-melodic-eigen-stl-containers, ros-melodic-octomap, ros-melodic-random-numbers, ros-melodic-resource-retriever, ros-melodic-shape-msgs, ros-melodic-visualization-msgs
Description: Generic definitions of geometric shapes and bodies.
